package zemplen.ui;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.Verseny;

public class VersenyCombo extends HibernateM2OEdit_Combo<Verseny> {

	public VersenyCombo(Form form, Composite cptParent, int style) {
		super(form, cptParent, style, "verseny", "verseny", "elnevezes");
		
		btnAssoc.setText("Versenyek");
		refresh();
	}

	@Override
	protected Form<Verseny> createForm(Composite cptParent, int style) {
		return new VersenyForm(cptParent, style);
	}
}
